changeset 339:ff1945b26212 noffle

[svn] cleanup bugfix
author godisch
date Tue, 04 Mar 2003 21:08:27 +0000
parents fa7a42b18bc8
children 53b3cb6cae3d
files debian/config
diffstat 1 files changed, 10 insertions(+), 9 deletions(-) [+]
line wrap: on
line diff
--- a/debian/config	Tue Mar 04 20:47:54 2003 +0000
+++ b/debian/config	Tue Mar 04 21:08:27 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: config 469 2003-03-01 17:39:39Z godisch $
+# $Id: config 475 2003-03-04 21:08:27Z godisch $
 
 set -e
 
@@ -22,7 +22,7 @@
 # are we using debconf?
 db_input high noffle/debconf && db_go || :
 db_get noffle/debconf || RET=""
-[ "$RET" = false ] && exit 0
+[ "$RET" = false ] && exit 0 || :
 
 # read server port value from inetd.conf
 port="`grep '[[:space:]]/usr/bin/noffle[[:space:]]' /etc/inetd.conf | head -n 1 | sed 's/^#<off># //;s/[[:space:]].*//' 2> /dev/null`" || :
@@ -30,7 +30,7 @@
 	# read port value from debconf db
 	db_get noffle/port || RET=""
 	# for upgrading from < 1.1.2
-	[ "$RET" = 119 ] && RET=nntp
+	[ "$RET" = 119 ] && RET=nntp || :
 	# we need confirmation, if they differ
 	[ "$port" = "$RET" ] || db_fset noffle/port seen false || :
 	# write current port from inetd.conf into debconf db
@@ -75,12 +75,13 @@
 fi
 
 # read NOFFLE_FETCHMODE from $debian_config
-[ -s "$debian_config" ] && . $debian_config
-[ "$NOFFLE_FETCHMODE" != ppp -a "$NOFFLE_FETCHMODE" != cron ] && \
-if [ -x /usr/sbin/pppd ]; then
-	NOFFLE_FETCHMODE=ppp
-else
-	NOFFLE_FETCHMODE=cron
+[ -s "$debian_config" ] && . $debian_config || :
+if [ "$NOFFLE_FETCHMODE" != ppp -a "$NOFFLE_FETCHMODE" != cron ]; then
+	if [ -x /usr/sbin/pppd ]; then
+		NOFFLE_FETCHMODE=ppp
+	else
+		NOFFLE_FETCHMODE=cron
+	fi
 fi
 # do we need confirmation?
 db_get noffle/fetchmode || RET=""